All Classes Namespaces Functions Variables Pages
PeriodicTorsionForce Class Reference

This class implements an interaction between groups of four particles that varies periodically with the torsion angle between them. More...

Inheritance diagram for PeriodicTorsionForce:

## Public Member Functions

def | getNumTorsions
| getNumTorsions(PeriodicTorsionForce self) -> int More...
def | addTorsion
| addTorsion(PeriodicTorsionForce self, int particle1, int particle2, int particle3, int particle4, int periodicity, double phase, double k) -> int More...
def | getTorsionParameters
| getTorsionParameters(PeriodicTorsionForce self, int index) More...
def | setTorsionParameters
| setTorsionParameters(PeriodicTorsionForce self, int index, int particle1, int particle2, int particle3, int particle4, int periodicity, double phase, double k) More...
def | updateParametersInContext
| updateParametersInContext(PeriodicTorsionForce self, Context context) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(PeriodicTorsionForce self) -> bool More...
def | __init__
| init(OpenMM::PeriodicTorsionForce self) -> PeriodicTorsionForce init(OpenMM::PeriodicTorsionForce self, PeriodicTorsionForce other) -> PeriodicTorsionForce More...
def | __del__
| del(OpenMM::PeriodicTorsionForce self) More...
Public Member Functions inherited from Force
def | __init__
def | __del__
| del(OpenMM::Force self) More...
def | getForceGroup
| getForceGroup(Force self) -> int More...
def | setForceGroup
| setForceGroup(Force self, int group) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(Force self) -> bool More...
def | __copy__
def | __deepcopy__

## Public Attributes

| this

## Detailed Description

This class implements an interaction between groups of four particles that varies periodically with the torsion angle between them.

To use it, create a PeriodicTorsionForce object then call addTorsion() once for each torsion. After a torsion has been added, you can modify its force field parameters by calling setTorsionParameters(). This will have no effect on Contexts that already exist unless you call updateParametersInContext().

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::PeriodicTorsionForce self) -> PeriodicTorsionForce init(OpenMM::PeriodicTorsionForce self, PeriodicTorsionForce other) -> PeriodicTorsionForce

Create a PeriodicTorsionForce.

References simtk.openmm.openmm.stripUnits().

def __del__ | ( |  | self | ) |

del(OpenMM::PeriodicTorsionForce self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def addTorsion | ( |  | self,
|  |  | args
| ) |  |

addTorsion(PeriodicTorsionForce self, int particle1, int particle2, int particle3, int particle4, int periodicity, double phase, double k) -> int

Add a periodic torsion term to the force field.

Parameters

  particle1 | the index of the first particle forming the torsion
  particle2 | the index of the second particle forming the torsion
  particle3 | the index of the third particle forming the torsion
  particle4 | the index of the fourth particle forming the torsion
  periodicity | the periodicity of the torsion
  phase | the phase offset of the torsion, measured in radians
  k | the force constant for the torsion

References simtk.openmm.openmm.stripUnits().

def getNumTorsions | ( |  | self,
|  |  | args
| ) |  |

getNumTorsions(PeriodicTorsionForce self) -> int

Get the number of periodic torsion terms in the potential function

References simtk.openmm.openmm.stripUnits().

def getTorsionParameters | ( |  | self,
|  |  | args
| ) |  |

getTorsionParameters(PeriodicTorsionForce self, int index)

Get the force field parameters for a periodic torsion term.

Parameters

  index | the index of the torsion for which to get parameters
  particle1 | the index of the first particle forming the torsion
  particle2 | the index of the second particle forming the torsion
  particle3 | the index of the third particle forming the torsion
  particle4 | the index of the fourth particle forming the torsion
  periodicity | the periodicity of the torsion
  phase | the phase offset of the torsion, measured in radians
  k | the force constant for the torsion

References simtk.openmm.openmm.stripUnits().

def setTorsionParameters | ( |  | self,
|  |  | args
| ) |  |

setTorsionParameters(PeriodicTorsionForce self, int index, int particle1, int particle2, int particle3, int particle4, int periodicity, double phase, double k)

Set the force field parameters for a periodic torsion term.

Parameters

  index | the index of the torsion for which to set parameters
  particle1 | the index of the first particle forming the torsion
  particle2 | the index of the second particle forming the torsion
  particle3 | the index of the third particle forming the torsion
  particle4 | the index of the fourth particle forming the torsion
  periodicity | the periodicity of the torsion
  phase | the phase offset of the torsion, measured in radians
  k | the force constant for the torsion

References simtk.openmm.openmm.stripUnits().

def updateParametersInContext | ( |  | self,
|  |  | args
| ) |  |

updateParametersInContext(PeriodicTorsionForce self, Context context)

Update the per-torsion parameters in a Context to match those stored in this Force object. This method provides an efficient method to update certain parameters in an existing Context without needing to reinitialize it. Simply call setTorsionParameters() to modify this object's parameters, then call updateParametersInContext() to copy them over to the Context.

The only information this method updates is the values of per-torsion parameters. The set of particles involved in a torsion cannot be changed, nor can new torsions be added.

References simtk.openmm.openmm.stripUnits().

def usesPeriodicBoundaryConditions | ( |  | self,
|  |  | args
| ) |  |

usesPeriodicBoundaryConditions(PeriodicTorsionForce self) -> bool

Returns whether or not this force makes use of periodic boundary conditions.

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

this

Referenced by System.__init__().

The documentation for this class was generated from the following file:

- openmm.py